/* 
 * Copyright 2014 SATO taichi
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package lambda05;

import java.util.*;

public class UseMethodReference {
	public static void main(String[] args) {
		List<String> list = Arrays.asList("zz", "dddd", "bb", "aaa");
		Collections.sort(list, UseMethodReference::mycompare);
		System.out.println(list);
	}

	static int mycompare(String l, String r) {
		int i = Integer.compare(r.length(), l.length());
		if (i == 0) {
			return l.compareTo(r);
		}
		return i;
	}
}
